
<!DOCTYPE html>

<html class="no-js" lang="en">
<head>
<meta charset="utf-8"/>
<meta content="width=device-width,initial-scale=1" name="viewport"/>
<link href="../assets/images/favicon.png" rel="icon"/>
<meta content="mkdocs-1.2.3, mkdocs-material-7.3.6" name="generator"/>
<title>Journal de bord - SecuWallet</title>
<link href="../assets/stylesheets/main.a57b2b03.min.css" rel="stylesheet"/>
<link href="../assets/stylesheets/palette.3f5d1f46.min.css" rel="stylesheet"/>
<meta content="#ab47bd" name="theme-color"/>
<link crossorigin="" href="https://fonts.gstatic.com" rel="preconnect"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&amp;display=fallback" rel="stylesheet"/>
<style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
<link href="https://unpkg.com/mermaid@8.5.1/dist/mermaid.css" rel="stylesheet"/>
<link href="../extra.css" rel="stylesheet"/>
</head>
<body data-md-color-accent="" data-md-color-primary="purple" data-md-color-scheme="slate" dir="ltr">
<script>function __prefix(e){return new URL("..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
<input autocomplete="off" class="md-toggle" data-md-toggle="drawer" id="__drawer" type="checkbox"/>
<input autocomplete="off" class="md-toggle" data-md-toggle="search" id="__search" type="checkbox"/>
<label class="md-overlay" for="__drawer"></label>
<div data-md-component="skip">
<a class="md-skip" href="#journal-de-bord-travail-de-diplome">
          Skip to content
        </a>
</div>
<div data-md-component="announce">
</div>
<header class="md-header" data-md-component="header">
<nav aria-label="Header" class="md-header__inner md-grid">
<a aria-label="SecuWallet" class="md-header__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
<label class="md-header__button md-icon" for="__drawer">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"></path></svg>
</label>
<div class="md-header__title" data-md-component="header-title">
<div class="md-header__ellipsis">
<div class="md-header__topic">
<span class="md-ellipsis">
            SecuWallet
          </span>
</div>
<div class="md-header__topic" data-md-component="header-topic">
<span class="md-ellipsis">
            
              Journal de bord
            
          </span>
</div>
</div>
</div>
<label class="md-header__button md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
</label>
<div class="md-search" data-md-component="search" role="dialog">
<label class="md-search__overlay" for="__search"></label>
<div class="md-search__inner" role="search">
<form class="md-search__form" name="search">
<input aria-label="Search" autocapitalize="off" autocomplete="off" autocorrect="off" class="md-search__input" data-md-component="search-query" name="query" placeholder="Search" required="" spellcheck="false" type="text"/>
<label class="md-search__icon md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</label>
<nav aria-label="Search" class="md-search__options">
<button aria-label="Clear" class="md-search__icon md-icon" tabindex="-1" type="reset">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"></path></svg>
</button>
</nav>
</form>
<div class="md-search__output">
<div class="md-search__scrollwrap" data-md-scrollfix="">
<div class="md-search-result" data-md-component="search-result">
<div class="md-search-result__meta">
            Initializing search
          </div>
<ol class="md-search-result__list"></ol>
</div>
</div>
</div>
</div>
</div>
</nav>
</header>
<div class="md-container" data-md-component="container">
<main class="md-main" data-md-component="main">
<div class="md-main__inner md-grid">
<div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Navigation" class="md-nav md-nav--primary" data-md-level="0">
<label class="md-nav__title" for="__drawer">
<a aria-label="SecuWallet" class="md-nav__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
    SecuWallet
  </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../0_Poster/">
        Poster
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../1_Resume/">
        Introduction
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../2_CahierDesCharges/">
        Cahier des charges
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../3_planning/">
        Planning
      </a>
</li>
<li class="md-nav__item md-nav__item--nested">
<input class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" id="__nav_5" type="checkbox"/>
<label class="md-nav__link" for="__nav_5">
          Documentation technique
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Documentation technique" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_5">
<span class="md-nav__icon md-icon"></span>
          Documentation technique
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../4_analyseExistant/">
        Analyse de L'existant
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../5_userStories/">
        User Stories
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../6_interface/">
        Interfaces
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../7_Architecture/">
        Architecture
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../8_outilsExterne/">
        Outils et librairies externes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../9_installationEnvironnement/">
        Installation de l'environnement
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../10_EncryptionBdd/">
        Encryption de base de données
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../docClasse/">
        Description Classes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../Tests/">
        Tests
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../conclusion/">
        Conclusion
      </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item md-nav__item--active md-nav__item--nested">
<input checked="" class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" id="__nav_6" type="checkbox"/>
<label class="md-nav__link" for="__nav_6">
          Annexes
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Annexes" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_6">
<span class="md-nav__icon md-icon"></span>
          Annexes
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item md-nav__item--active">
<input class="md-nav__toggle md-toggle" data-md-toggle="toc" id="__toc" type="checkbox"/>
<label class="md-nav__link md-nav__link--active" for="__toc">
          Journal de bord
          <span class="md-nav__icon md-icon"></span>
</label>
<a class="md-nav__link md-nav__link--active" href="./">
        Journal de bord
      </a>
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#04042022">
    04.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#05042022">
    05.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#06042022">
    06.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#07042022">
    07.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#08042022">
    08.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#11042022">
    11.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#12042022">
    12.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#13042022">
    13.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#25042022">
    25.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#26042022">
    26.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#27042022">
    27.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#02052022">
    02.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#03052022">
    03.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#04052022">
    04.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#05052022">
    05.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#10052022">
    10.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#11052022">
    11.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#12052022">
    12.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#13052022">
    13.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#16052022">
    16.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#17052022">
    17.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#18052022">
    18.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#19052022">
    19.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#20052022">
    20.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#23052022">
    23.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#24052022">
    24.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#25052022">
    25.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#26052022">
    26.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#27052022">
    27.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#30052022">
    30.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#31052022">
    31.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#01062022">
    01.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#02062022">
    02.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#03062022">
    03.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#06062022">
    06.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#07062022">
    07.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#08062022">
    08.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#09062022">
    09.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#10062022">
    10.06.2022
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../tableDesIllustrations/">
        Table des illustrations
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../planningAnnexe/">
        Planning
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../codeSource/">
        Code source
      </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#04042022">
    04.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#05042022">
    05.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#06042022">
    06.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#07042022">
    07.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#08042022">
    08.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#11042022">
    11.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#12042022">
    12.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#13042022">
    13.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#25042022">
    25.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#26042022">
    26.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#27042022">
    27.04.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#02052022">
    02.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#03052022">
    03.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#04052022">
    04.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#05052022">
    05.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#10052022">
    10.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#11052022">
    11.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#12052022">
    12.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#13052022">
    13.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#16052022">
    16.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#17052022">
    17.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#18052022">
    18.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#19052022">
    19.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#20052022">
    20.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#23052022">
    23.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#24052022">
    24.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#25052022">
    25.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#26052022">
    26.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#27052022">
    27.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#30052022">
    30.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#31052022">
    31.05.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#01062022">
    01.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#02062022">
    02.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#03062022">
    03.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#06062022">
    06.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#07062022">
    07.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#08062022">
    08.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#09062022">
    09.06.2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#10062022">
    10.06.2022
  </a>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-content" data-md-component="content">
<article class="md-content__inner md-typeset">
<h1 id="journal-de-bord-travail-de-diplome">Journal de bord Travail de diplôme</h1>
<h3 id="04042022">04.04.2022</h3>
<p>Tâches à réaliser aujourd'hui :</p>
<ul>
<li>Création du git ainsi que sa structure ✅</li>
<li>Réalisation du planning prévisionnel (restent quelques modifications à faire)</li>
</ul>
<p>Discussion avec M. Bonvin et M. Garcia au sujet de l'application que je vais réaliser durant ce travail de diplôme. La première option qui était de stocker les portefeuilles sur un serveur tombe à l'eau, car rares seront les personnes qui oseraient donner les clés privées de leurs portefeuilles. Donc l'application au moment de sont installation sera capable de créer un dossier ou une partition encryptée pour y stocker les portefeuilles de l'utilisateur directement sur ça machine. (Il faut encore que je me documente sur le sujet de l'encryption pour y sortir la meilleure solution)</p>
<h3 id="05042022">05.04.2022</h3>
<p>Modification de mon template de planning suite à une discussion avec M. Garcia.</p>
<p>Ce matin j'ai reçu un Raspberry Pi 4 ainsi qu'un boitier Argon One pour intégrer un disque dur M2 ce qui va me permettre d'héberger mon serveur HTTPS.
Durant cette journée j'ai terminé la planification prévisionnelle et commencé à déployer le serveur Apache2 en HTTPS. J'ai également installé un serveur Samba pour permettre à ma machine d'accéder au fichier du Raspberry plus facilement en y ajoutant un disque réseau.</p>
<p><img src="./img/Raspberry.jpg"/></p>
<h3 id="06042022">06.04.2022</h3>
<h3 id="07042022">07.04.2022</h3>
<p>J'ai pu discuter avec un collège qui avait déjà fait une architecture très similaire à mon projet en ce qui concerne le serveur HTTPS qui reçoit des demandes sur la base du client. Ça m’a permis de mieux comprendre comment j'allais devoir m'y prendre pour réaliser ce travail.</p>
<p>Sinon j'ai effectué un travail de recherche pour sécuriser au maximum le Raspberry.  </p>
<h3 id="08042022">08.04.2022</h3>
<p>Aujourd'hui je vais exclusivement me pencher sur la documentation technique. (User stories / Documentation du travail réaliser au cours de cette première semaine)</p>
<h3 id="11042022">11.04.2022</h3>
<p>Aujourd'hui je me suis penché sur l'organisation de ma documentation comme discuter avec M. Garcia. (Plusieurs fichiers séparés)</p>
<h3 id="12042022">12.04.2022</h3>
<p>Aujourd'hui j'ai installé le serveur Hardhat sur le Raspberry. Aucun problème rencontré lors de l'installation.</p>
<h3 id="13042022">13.04.2022</h3>
<p>User stories Site Web</p>
<h3 id="25042022">25.04.2022</h3>
<p>Documentation de l'encryption des fichiers des wallet (.json)
Mon choix après différente recherche s'est porté sur une encryption AES avec une clé différente pour chaque fichier.</p>
<h3 id="26042022">26.04.2022</h3>
<p>J'ai essayer de me connecter a la blockchain présente sur le Raspberry au début la connexion était refusée depuis l'extérieur du Raspberry j'ai trouver sur internet que c'était un problème connu et qu'il fallait simplement changer l'adresse IP qui est par défaut 127.0.0.1 en 0.0.0.0.</p>
<p>Suite a un entretien avec M. Garcia il m'a demandé de refaire plus proprement un schéma avec toutes mes futures interfaces ainsi que les liens entre elles.</p>
<h3 id="27042022">27.04.2022</h3>
<h3 id="02052022">02.05.2022</h3>
<p>Création des différentes classes nécessaire à mon projet.
Appcontroller qui réunit les informations qui sont nécessaires de faire transiter entre les différentes forms. BlockchainController qui permet l'échange de données avec la blockchain, mais également l'enregistrement local des portefeuilles dans l'application</p>
<h3 id="03052022">03.05.2022</h3>
<p>Documentation guide d'installation de l'environnement sur le Raspberry</p>
<h3 id="04052022">04.05.2022</h3>
<p>Réalisation du poster ainsi que le résumer a rendre le lundi de la semaine prochaine. Problème rencontré l’utilisation pas simple de Photoshop.</p>
<h3 id="05052022">05.05.2022</h3>
<p>Ce matin j'ai réalisé le résumé de mon application ainsi que sa traduction en anglais (à rendre lundi de la semaine prochaine)</p>
<p>Revu du poster par M. Garcia suite a cela je dois mieux imager le fonctionnement des différentes technologies utilisées par mon projet. </p>
<h3 id="10052022">10.05.2022</h3>
<p>Développement du login de l'application C#</p>
<h3 id="11052022">11.05.2022</h3>
<p>Ajout de l'enregistrement local des portefeuilles</p>
<h3 id="12052022">12.05.2022</h3>
<p>Ajout des requêtes sur la blockchain répétitive.
* GetBalance
* GetBlock
* ...</p>
<h3 id="13052022">13.05.2022</h3>
<p>Ajout des paramètres de l'application ainsi que l'enregistrement de ceux-ci a la fermeture du programme.</p>
<h3 id="16052022">16.05.2022</h3>
<p>Réalisation du site web en markdown
Problème rencontrer : Pas trouvé comment forcer un css sur les inputs du formulaire.
Création de la base de données pour stocker les utilisateurs</p>
<h3 id="17052022">17.05.2022</h3>
<p>Ajout de la création de comptes. Pour ajouter une double authentification, j'ai décidé d'utiliser cette libraire https://github.com/dochne/google-authenticator. Elle est encore tenue à jour contrairement à l'ancienne libraire la plus utilisée (https://github.com/sonata-project/GoogleAuthenticator). J'ai eu quelque problème avec composer pour ajouter automatiquement les packages nécessaires à cette librairie.</p>
<h3 id="18052022">18.05.2022</h3>
<p>Ajout du login ainsi que l'accès a la page téléchargement pour avoir accès aux futures installer du client C#</p>
<h3 id="19052022">19.05.2022</h3>
<p>Création de l'api PHP.
Aujourd'hui J'ai réussi à finir le script qui valide les informations de l'utilisateur lors de sa tentative de connexion</p>
<h3 id="20052022">20.05.2022</h3>
<p>Ajout du script authenticator.php a l'api pour valider les codes Google Authenticator qu'entre l'utilisateur
voici la librairie que j'ai décider d'utiliser : https://github.com/dochne/google-authenticator.git</p>
<h3 id="23052022">23.05.2022</h3>
<p>Ajout du script tokenCreator.php afin de pouvoir générer un token JWT lors de la connexion de l'utilisateur
Problème rencontrer documentation pauvre si les informations que je dois fournir au token.</p>
<p>En fin de journée j'ai commencé la vérification du token</p>
<h3 id="24052022">24.05.2022</h3>
<p>Finalisation du script tokenAuthenticator.php pour le moment l'API n'est pas encore connecté a l'application j'ai uniquement tester les différentes fonctionnalités grâce à l'application "Talend Api tester".</p>
<h3 id="25052022">25.05.2022</h3>
<p>Tentative de connecter mon application C# avec l'api. Le serveur a bien l'air de recevoir les paquets HTTP. J'ai pu vérifier ça grâce à l'application wireshark qui me permet de visualiser tous les paquets qui transitent sur le réseau. Le problème a l'air de venir de mon code C# comme s’il restait à l'écoute du serveur en bloquant l'application.</p>
<h3 id="26052022">26.05.2022</h3>
<p>Après plusieurs recherches sur internet, j'ai réussi à débuger les problèmes d'hier. Pour éviter les codes bloquants asynchrones il faut ajoute  à la fin de chacune de mes requêtes pour éviter ce qu'on appel les Deadlock .ConfigureAwait(false);. 
La ligne complète ressemble à ça : 
<div class="highlight"><pre><span></span><code><span class="k">await</span><span class="w"> </span><span class="n">client</span><span class="p">.</span><span class="n">PostAsync</span><span class="p">(</span><span class="n">LOGIN_URL</span><span class="p">,</span><span class="w"> </span><span class="n">stringContent</span><span class="p">).</span><span class="n">ConfigureAwait</span><span class="p">(</span><span class="k">false</span><span class="p">);</span><span class="w"></span>
</code></pre></div></p>
<h3 id="27052022">27.05.2022</h3>
<p>Ajout de la classe JWTController qui s'occupe de la communication avec l'api.
Ajout de la création d'un nouveau wallet.</p>
<h3 id="30052022">30.05.2022</h3>
<p>Ajout de l'import des wallet soit grâce à la clé privée sois par un fichier json extrait d'une autre application</p>
<h3 id="31052022">31.05.2022</h3>
<p>Développement des graphiques de l'évolution des portefeuilles. Graphique sur l'évolution de la quantité d'eth présents sur le portefeuille fonctionnel. Mais le graphique sur l'évolution de la valeur de la devise sélectionnée dans les paramètres par l'utilisateur a plusieurs bugs d'affichage.</p>
<h3 id="01062022">01.06.2022</h3>
<p>Ajout du listing des différentes transactions effectuer avec le wallet sélectionné.</p>
<h3 id="02062022">02.06.2022</h3>
<p>Ajout des transactions d'ethereum
Ajout des contacts enregistré sur l'application.</p>
<h3 id="03062022">03.06.2022</h3>
<p>Correction des différents bugs présents dans l'application (Affichage / Try catch)</p>
<h3 id="06062022">06.06.2022</h3>
<p>Documentation des différentes interfaces, JWT.</p>
<h3 id="07062022">07.06.2022</h3>
<p>Ajout de commentaires sur le codes</p>
<h3 id="08062022">08.06.2022</h3>
<p>Rédaction de la conclusion, Encryption AES, Google Authenticator.</p>
<p>Retour de M. Garcia sur ma documentation :
    * Conclusion trop courte
    * Aspect sécuriter a dévelloper
    * Revoir les tests
    * Mettre en avant les information qui transite entre la blockchain et le client</p>
<h3 id="09062022">09.06.2022</h3>
<p>Appronfondissement de la partie Sécurite de ma documentaion.
Ajout des code source.</p>
<h3 id="10062022">10.06.2022</h3>
<p>Correction orthographe.
Check si toutes les images sont présente.</p>
</article>
</div>
</div>
</main>
<footer class="md-footer">
<nav aria-label="Footer" class="md-footer__inner md-grid">
<a aria-label="Previous: Conclusion" class="md-footer__link md-footer__link--prev" href="../conclusion/" rel="prev">
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</div>
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Previous
              </span>
              Conclusion
            </div>
</div>
</a>
<a aria-label="Next: Table des illustrations" class="md-footer__link md-footer__link--next" href="../tableDesIllustrations/" rel="next">
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Next
              </span>
              Table des illustrations
            </div>
</div>
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"></path></svg>
</div>
</a>
</nav>
<div class="md-footer-meta md-typeset">
<div class="md-footer-meta__inner md-grid">
<div class="md-footer-copyright">
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" rel="noopener" target="_blank">
            Material for MkDocs
          </a>
 ... <a class="link--pdf-download" download href="../pdf/document.pdf" title="PDF">download PDF</a></div>
</div>
</div>
</footer>
</div>
<div class="md-dialog" data-md-component="dialog">
<div class="md-dialog__inner md-typeset"></div>
</div>
<script id="__config" type="application/json">{"base": "..", "features": [], "translations": {"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../assets/javascripts/workers/search.fcfe8b6d.min.js", "version": null}</script>
<script src="../assets/javascripts/bundle.b1047164.min.js"></script>
<script src="https://unpkg.com/mermaid@8.5.1/dist/mermaid.min.js"></script>
</body>
</html>